SUSE SLED15 / SLES15 Security Update : dnsmasq (SUSE-SU-2021:0163-1)

high Nessus プラグイン ID 145108

言語:

New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

このdnsmasq用の更新プログラムでは、次の問題が修正されています:

bsc#1177077:修正済みのDNSpooq脆弱性を修正しました

CVE-2020-25684、CVE-2020-25685、CVE-2020-25686:複数のキャッシュポイズニング攻撃を修正しました。

CVE-2020-25681、CVE-2020-25682、CVE-2020-25683、CVE-2020-25687:DNSSEC有効時の複数の潜在的なヒープベースのオーバーフローを修正しました。

SERVFAIL rcodeの受信時に、他のサーバーへのクエリを再試行します(bsc#1176076)

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、そこに新しい問題を追加することはせずに、できる限り自動的に整理と書式設定をするようにしています。

ソリューション

このSUSEセキュリティ更新プログラムをインストールするには、YaSTのonline_updateや「zypper patch」など、SUSEが推奨するインストール方法を使用してください。

別の方法として、製品にリストされているコマンドを実行することができます:

SUSE Linux Enterprise Module for Basesystem 15-SP2:

zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP2-2021-163=1

SUSE Linux Enterprise Module for Basesystem 15-SP1:

zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP1-2021-163=1

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=1176076

https://bugzilla.suse.com/show_bug.cgi?id=1177077

https://www.suse.com/security/cve/CVE-2020-25681/

https://www.suse.com/security/cve/CVE-2020-25682/

https://www.suse.com/security/cve/CVE-2020-25683/

https://www.suse.com/security/cve/CVE-2020-25684/

https://www.suse.com/security/cve/CVE-2020-25685/

https://www.suse.com/security/cve/CVE-2020-25686/

https://www.suse.com/security/cve/CVE-2020-25687/

http://www.nessus.org/u?f0170268

プラグインの詳細

深刻度: High

ID: 145108

ファイル名: suse_SU-2021-0163-1.nasl

バージョン: 1.4

タイプ: local

エージェント: unix

公開日: 2021/1/20

更新日: 2021/2/1

依存関係: ssh_get_info.nasl

リスク情報

CVSS スコアのソース: CVE-2020-25682

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: High

Base Score: 8.3

Temporal Score: 6.1

ベクトル: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:C

現状ベクトル: CVSS2#E:U/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 8.1

Temporal Score: 7.1

ベクトル: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: CVSS:3.0/E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:2.3:o:novell:suse_linux:15:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:dnsmasq:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:dnsmasq-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:dnsmasq-debugsource:*:*:*:*:*:*:*

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2021/1/19

脆弱性公開日: 2021/1/20

参照情報

CVE: CVE-2020-25684, CVE-2020-25685, CVE-2020-25686, CVE-2020-25681, CVE-2020-25682, CVE-2020-25683, CVE-2020-25687